# rc-react-code-verification
---

React ReactCodeVerification Component


[![NPM version][npm-image]][npm-url]
[![build status][travis-image]][travis-url]
[![Test coverage][coveralls-image]][coveralls-url]
[![gemnasium deps][gemnasium-image]][gemnasium-url]
[![npm download][download-image]][download-url]

[npm-image]: http://img.shields.io/npm/v/react-code-verification.svg?style=flat-square
[npm-url]: http://npmjs.org/package/react-code-verification
[travis-image]: https://img.shields.io/travis/ZhangYxY/react-code-verification.svg?style=flat-square
[travis-url]: https://travis-ci.org/ZhangYxY/react-code-verification
[coveralls-image]: https://img.shields.io/coveralls/ZhangYxY/react-code-verification.svg?style=flat-square
[coveralls-url]: https://coveralls.io/r/ZhangYxY/react-code-verification?branch=master
[gemnasium-image]: http://img.shields.io/gemnasium/ZhangYxY/react-code-verification.svg?style=flat-square
[gemnasium-url]: https://gemnasium.com/ZhangYxY/react-code-verification
[node-image]: https://img.shields.io/badge/node.js-%3E=_0.10-green.svg?style=flat-square
[node-url]: http://nodejs.org/download/
[download-image]: https://img.shields.io/npm/dm/react-code-verification.svg?style=flat-square
[download-url]: https://npmjs.org/package/react-code-verification


## Screenshots

<img src="./assets/screen.png" width="288"/>


## Development

```
npm install react-code-verification
npm start
```

## Example

http://localhost:8008/examples/


<!-- online example: http://react-component.github.io/react-code-verification/ -->


## install


[![react-code-verification](https://nodei.co/npm/react-code-verification.png)](https://npmjs.org/package/react-code-verification)


## Usage

```js
var ReactCodeVerification = require('react-code-verification');
var React = require('react');
React.render(<ReactCodeVerification />, container);
```

## API

### props

<table class="table table-bordered table-striped">
    <thead>
    <tr>
        <th style="width: 100px;">name</th>
        <th style="width: 50px;">type</th>
        <th style="width: 50px;">default</th>
        <th>description</th>
    </tr>
    </thead>
    <tbody>
        <tr>
          <td>className</td>
          <td>String</td>
          <td></td>
          <td>additional css class of root dom node</td>
        </tr>
    </tbody>
</table>


## Test Case

```
npm test
npm run chrome-test
```

## Coverage

```
npm run coverage
```

open coverage/ dir

## License

react-code-verification is released under the MIT license.
